{% extends "default.html" %}
{% load static %}
{% load mathfilters %}

{% block title %}Panels{% endblock %}
{% block header %}
<script type="text/javascript" src="{% static 'django_ajax/js/jquery.ajax.min.js' %}"></script>
<script type="text/javascript" src="{% static 'django_ajax/js/jquery.ajax-plugin.min.js' %}"></script>
{% endblock %}

{% block body %}
<div class="container">
    {% with view_panels=view.panels %}
      {% with panels_count=view_panels|length %}
        <h1 class="mt-5"><span id="panels_count">{{ panels_count }}</span> panel{{ panels_count|pluralize }}</h1>
      {% endwith %}
        <button type="button" class="btn btn-outline-light-panelapp text-right" data-bs-toggle="modal" data-bs-target="#compare-modal">
          Compare two panels
        </button>
        <div id="panels_table">
          {% include "panels/genepanel_list_table.html" with view_panels=view_panels %}
        </div>
        {% include 'panels/compare/compare_panels_form.html' with form=view.compare_panels_form %}
      {% endwith %}
</div>
{% endblock %}

{% block js %}
<script nonce="{{CSP_NONCE}}" type="text/javascript">
  $(document).ready(function() {
    var panels = '';
    $('#panel_records tr').each(function(index, panel) {
      panels += '<option value="' + panel.getAttribute('data-pk') + '">' + panel.getAttribute('data-panel') + ' v' + panel.getAttribute('data-version') + '</option>';
    });
    $('#compare-modal #id_panel_1').append(panels);
    $('#compare-modal #id_panel_2').append(panels);
  });
</script>
{% endblock %}
